.TH "yodl" "1" "1996" "The Yodl Package" "YODL" 
.PP 
.SH "NAME yodl \- main YODL converter" 
.PP 
.SH "SYNOPSIS" 
.PP 
\fByodl\fP [-DNAME] [-IDIR] [-oFILE] [-PCMD] [-pPASS] [-t] [-v] [-w] [-h]
[-?]  inputfile[\&.yo] [inputfile\&.\&.\&.]
.PP 
.SH "DESCRIPTION" 
.PP 
This manual page describes the \fByodl\fP program, the main converter of the
YODL package\&. This program is used by the \fByodl2\&.\&.\&.\&.\fP shell scripts,
e\&.g\&., \fByodl2tex\fP or \fByodl2html\fP\&. The \fByodl\fP program serves as the
first step in the conversions\&.
.PP 
.SH "OPTIONS" 
.PP 
.IP "-DNAME" 
Defines symbol \fINAME\fP\&.
.IP "-IDIR" 
Overrules the standard include directory (default 
\fI/usr/local/lib/yodl\fP) with \fIDIR\fP\&.
.IP "-oFILE" 
Specifies \fIFILE\fP as the output file (default is stdout)\&.
.IP "-PCMD" 
`Preloads\' command \fICMD\fP, as if \fICMD\fP was the first line 
of the input\&.
.IP "-pPASS" 
Defines \fIPASS\fP as the maximum number of `passes\'; when this 
number is exceeded, \fByodl\fP aborts\&.
.IP "-t" 
Enables tracing mode\&. Useful for debugging\&.
.IP "-v" 
Raises the verbosity mode\&. Useful for debugging\&.
.IP "-w" 
Enables warning\&. When enabled, \fByodl\fP will warn when it sees
inconsistencies\&.
.IP "-h, -?" 
Shows usage information\&.
.IP "inputfile" 
File to process, use \fI-\fP to instruct \fByodl\fP to read 
from stdin\&.
.IP 
.PP 
.SH "FILES" 
.PP 
The \fByodl\fP program requires no files, but `normal\' usage of the YODL
package requires macro files installed in \fB/usr/local/lib/yodl\fP\&. The
files in this directory are included by the converters \fByodl2txt\fP etc\&.\&.
.PP 
.SH "SEE ALSO" 
.PP 
.IP o 
\fByodlconverters(1)\fP: information on \fByodl2tex\fP, \fByodl2html\fP,
\fByodl2man\fP, etc\&., these are the conversion programs for specific
destination formats LaTeX, HTML, man, \&.\&.\&.
.IP o 
\fByodlmacros(7)\fP: short description of the macros of the 
converters\&.
.IP o 
\fByodlmanpage(7)\fP: specific description of the \fBmanpage\fP 
document type\&. 
.IP 
.PP 
.SH "DIAGNOSTICS" 
.PP 
Warnings and errors of \fByodl\fP are too many to enumerate, but all errors
are printed to \fIstderr\fP after which \fByodl\fP exits with a non-zero
status\&.
.PP 
.SH "BUGS" 
.PP 
There may be bugs in the \fByodl\fP program, but that\'s not very likely\&.
More likely you\'ll encounter bugs or omissions in the macro package
itself\&.
.PP 
.SH "AUTHOR" 
.PP 
Karel Kubat (karel@icce\&.rug\&.nl)
.PP 
