.TH "yodlconverters" "1" "1996" "The Yodl Package" "YODL" 
.PP 
.SH "NAME yodl2\&.\&.\&. \- miscellaneous Yodl converters" 
.PP 
.SH "SYNOPSIS" 
.PP 
\fByodl2\&.\&.\&.\fP [-DNAME] [-IDIR] [-oFILE] [-PCMD] [-pPASS] [-t] [-v] [-w]
[-h] [-?] inputfile[\&.yo]
.PP 
.SH "DESCRIPTION" 
.PP 
This manual page describes the various shell scripts that convert
documents in the Yodl language to other formats\&. The basic converters
are:
.PP 
.IP "yodl2html:" 
converts to HTML, writes a file with the extension
\fB\&.html\fP\&.
.IP "yodl2man:" 
converts to groff `man\' format, writes \fB\&.man\fP\&. Can be
further processed with e\&.g\&. \fBgroff -Tascii -man\fP \fIfile\fP\fB\&.man\fP\&.
.IP "yodl2ms:" 
converts to groff `ms\' format, writes \fB\&.ms\fP\&. Can be
further processed with e\&.g\&. \fBgroff -T\fP\fIformat\fP \fB-mgs\fP 
\fIfile\fP\fB\&.ms\fP; \fIformat\fP being e\&.g\&., \fBascii\fP or \fBps\fP\&.
.IP "yodl2sgml:" 
converts to SGML, writes \fB\&.sgml\fP\&. Implemented for
backward compatibility at our site, producing output for our `hacked 
Linuxdoc-SGML mutant\'\&.
.IP "yodl2tex:" 
converts to LaTeX output, writes \fB\&.tex\fP\&. Can be
further processed with, e\&.g\&., \fBlatex\fP \fIfile\fP\fB\&.tex\fP and \fBxdvi\fP
\fIfile\fP\fB\&.dvi\fP\&. This is the most complete Yodl converter\&.
.IP "yodl2txt:" 
converts to plain ASCII, writes \fB\&.txt\fP\&. This is a
very rudimentary converter, a last-resort\&.
.IP 
.PP 
The following second-stage converters are also implemented:
.PP 
.IP "yodl2dvi:" 
runs \fByodl2tex\fP, and LaTeX-es the output file\&. When
appropriate, re-runs LaTeX to solve labels; the LaTeX job is run up to 
three times\&.
.IP "yodl2manless:" 
runs \fByodl2man\fP, and groff\'s the output, piping 
into a `less\'-like pager\&.
.IP "yodl2msless:" 
runs \fByodl2ms\fP, and groff\'s the output into a 
`less\'-like pager\&.
.IP 
.PP 
Appropriate converters for given output formats, with examples, are:
.PP 
.IP "For plain ASCII output:" 
.br 
For manual pages: \fByodl2manless\fP \fIfile\fP \fB>outfile\fP, 
.br 
or gzipped: \fByodl2manless\fP \fIfile\fP \fB| gzip -c >outfile\&.gz\fP\&. 
.br 
For other document types: \fByodl2msless\fP \fIfile\fP \fB>outfile\fP\&.
.IP "For LaTeX and \fB\&.dvi\fP output:" 
.br 
\fByodl2tex\fP \fIfile\fP to write \fIfile\fP\fB\&.tex\fP, or 
.br 
\fByodl2dvi\fP \fIfile\fP to write \fIfile\fP\fB\&.tex\fP and \fIfile\fP\fB\&.dvi\fP\&.
.IP "For PostScript output:" 
.br 
\fByodl2msps\fP \fIfile\fP, or 
.br 
\fByodl2dvi\fP \fIfile\fP followed by \fBdvips -o\fP\fIfile\fP\fB\&.ps\fP
\fIfile\fP\fB\&.dvi\fP\&.)
.IP 
.PP 
.SH "OPTIONS" 
.PP 
The options are identical to those of the \fByodl\fP program, which is the
first-phase converter\&. Options may be:
.PP 
.IP "-DNAME" 
Defines symbol \fINAME\fP\&. In the document \fBIFDEF\fP clauses 
can be used to test for the definition\&.
.IP "-IDIR" 
Overrules the standard include directory (default 
\fI/usr/local/lib/yodl\fP) with \fIDIR\fP\&. It\'s not very wise to use this
option, since the converters \fBmust\fP be able to access their macro
files in \fB/usr/local/lib/yodl\fP\&. 
.IP "-oFILE" 
Specifies \fIFILE\fP as the output file (default is stdout)\&.
This option is auto-supplied by the converters to generate an output
file with an appropriate extension; so, don\'t use it\&.
.IP "-PCMD" 
`Preloads\' command \fICMD\fP, as if \fICMD\fP was the first
line of the input\&. An example is \fB-P\fP\f(CWSUBST(VERSION)(0\&.12b)\'\fP to 
substitute \fB0\&.12b\fP for each occurrence of \fBVERSION\fP in the input\&.
.IP "-pPASS" 
Defines \fIPASS\fP as the maximum number of `passes\'; when
this number is exceeded, \fByodl\fP aborts\&.
.IP "-t" 
Enables tracing mode\&. Useful for debugging\&.
.IP "-v" 
Raises the verbosity mode\&. Useful for debugging\&.
.IP "-w" 
Enables warning\&. When enabled, \fByodl\fP will warn when it sees
inconsistencies\&. This option already gets enabled by default when the
\fByodl2\&.\&.\&.\fP scripts are used\&. 
.IP "-h, -?" 
Shows usage information\&.
.IP "inputfile" 
File to process, \fByodl\fP supplies an extension \fB\&.yo\fP 
if necessary\&. Depending on the output format, the converters 
write a file with the same basename but with a corresponding 
extension\&.
.IP 
.PP 
.SH "FILES" 
.PP 
Each \fByodl2\fP\fIformat\fP converter requires a file \fIformat\fP\fB\&.yo\fP in
the standard include directory \fB/usr/local/lib/yodl\fP\&. This file is 
auto-loaded to make the conversion to \fIformat\fP possible\&.
.PP 
Each \fIformat\fP\fB\&.yo\fP file in the standard include directory expects 
other files; e\&.g\&., \fBshared\&.yo\fP, \fBaux-macros\&.yo\fP\&.
.PP 
The output then goes to a file with an extension \fI\&.format\fP\&. 
.PP 
Some converters require post-processors, which are located in the standard 
include directory and named \fByodl2\fP\fIformat\fP\fB-post\fP\&.
.PP 
.SH "SEE ALSO" 
.PP 
.IP o 
\fByodl(1)\fP: the first step converter\&.
.IP o 
\fByodlmacros(7)\fP: short description of the macros of the 
converters\&.
.IP o 
\fByodlmanpage(1)\fP: description of the \fBmanpage\fP document type\&.
.IP 
.PP 
.SH "DIAGNOSTICS" 
.PP 
Warnings and errors are too many to enumerate, but all errors are printed
to \fIstderr\fP after which the converters exit with a non-zero status\&.
.PP 
.SH "BUGS" 
.PP 
There may be bugs in the \fByodl\fP program, but that\'s not very likely\&.
More likely you\'ll encounter bugs or omissions in the macro package
itself\&.
.PP 
.SH "AUTHOR" 
.PP 
Karel Kubat (karel@icce\&.rug\&.nl)
