




.YODLTAGSTART. roffcmd .TH "yodlmanpage" "7" "1996" "The Yodl Package" "YODL" .YODLTAGEND. 

    .YODLTAGSTART. roffcmd .PP .YODLTAGEND. 

    .YODLTAGSTART. roffcmd .SH "NAME yodlmanpage \- the manpage document type of YODL" .YODLTAGEND. 
.YODLTAGSTART. roffcmd .PP .YODLTAGEND. 

    .YODLTAGSTART. roffcmd .SH "SYNOPSIS" .YODLTAGEND. 
.YODLTAGSTART. roffcmd .PP .YODLTAGEND. 
The \fByodlmanpage\fP document type is specifically implemented to write
    Unix-style manual pages\&. Other YODL document formats, such as \fBarticle\fP,
    \fBreport\fP and \fBbook\fP are documented in the YODL guide and in the
    manpage for \fByodlmacros\fP\&..YODLTAGSTART. roffcmd .PP .YODLTAGEND. 

    .YODLTAGSTART. roffcmd .SH "DESCRIPTION" .YODLTAGEND. 
.YODLTAGSTART. roffcmd .PP .YODLTAGEND. 
This manual page briefly describes the \fBmanpage\fP document type of the
    YOLD document language\&. This document type is so specific that it warrants
    a separate manpage\&..YODLTAGSTART. roffcmd .PP .YODLTAGEND. 
\fBmanpage\fP documents do not use the `standard\' sectioning commands (e\&.g\&.,
    \fBsect\fP() and \fBsubsect\fP()), but have specific \fBmanpage\&.\&.\&.\fP() macros\&.
    You can however use (and are encouraged to\&.\&.) other `normal\' macros, such
    as \fBdescription\fP(\&.\&.\&.) or \fBitemize\fP(\&.\&.\&.) for lists, or \fBbf\fP() for
    boldface and \fBem\fP() for emphasis\&. As for fonts, the following is
    suggested:.YODLTAGSTART. roffcmd .PP .YODLTAGEND. 
.YODLTAGSTART. roffcmd .IP .YODLTAGEND. 
.YODLTAGSTART. roffcmd .IP o .YODLTAGEND. 
 Use \fBem\fP(\fItext\fP) when \fItext\fP is a variable, or a
        placeholder, etc\&.\&..YODLTAGSTART. roffcmd .IP .YODLTAGEND. 
.YODLTAGSTART. roffcmd .IP o .YODLTAGEND. 
 Use \fBbf\fP(\fItext\fP) when \fItext\fP is literal, such as a command,
        a filename, a directory\&..YODLTAGSTART. roffcmd .IP .YODLTAGEND. 
.YODLTAGSTART. roffcmd .PP .YODLTAGEND. 
Each \fBmanpage\fP document in YODL must be organized as follows:.YODLTAGSTART. roffcmd .PP .YODLTAGEND. 
.YODLTAGSTART. roffcmd .IP .YODLTAGEND. 
.YODLTAGSTART. roffcmd .IP o .YODLTAGEND. 
 \fBmanpage\fP(\fIname\fP) (\fIsection\fP) (\fIdate\fP) (\fIpackage\fP)
        (\fIsource\fP): This is the preamble of the document\&. It states whatever
        the page describes, the section where it belongs, the release date,
        the package that it belongs to, and the source of the package\&.
        The \fIsection\fP number should be (according to the Linux manpage on
        man): 1 for commands, 2 for system calls, 3 for library calls, 4 for
        special files, 5 for file formats, 6 for games, 7 for macro packages
        and conventions, 8 for system management commands, and 9 for other
        special subjects (e\&.g\&., kernel commands)\&..YODLTAGSTART. roffcmd .IP .YODLTAGEND. 
.YODLTAGSTART. roffcmd .IP o .YODLTAGEND. 
 \fBmanpagename\fP(\fIname\fP) (\fIshort description\fP):  The \fIname\fP
        is again whatever is described, the \fIshort description\fP is what
        e\&.g\&., the \fBwhatis\fP database uses for descriptions\&..YODLTAGSTART. roffcmd .IP .YODLTAGEND. 
.YODLTAGSTART. roffcmd .IP o .YODLTAGEND. 
 \fBmanpagesynopsis\fP(): a very short `usage\' information or
        similar\&.  Keep this section short, e\&.g\&., a line with all program
        options is acceptable but without descriptions (these come later)\&..YODLTAGSTART. roffcmd .IP .YODLTAGEND. 
.YODLTAGSTART. roffcmd .IP o .YODLTAGEND. 
 \fBmanpagedescription\fP(): the purpose of the program and such\&.
        This is also the place to document the workings\&..YODLTAGSTART. roffcmd .IP .YODLTAGEND. 
.YODLTAGSTART. roffcmd .IP o .YODLTAGEND. 
 \fBmanpageoptions\fP(): This is the place to document e\&.g\&. the
        flags that are stated in the \fBmanpagesynopsis\fP()\&. This section is 
        optional, but when present, must appear at this place\&..YODLTAGSTART. roffcmd .IP .YODLTAGEND. 
.YODLTAGSTART. roffcmd .IP o .YODLTAGEND. 
 \fBmanpagefiles\fP(): relevant files are described in this section\&..YODLTAGSTART. roffcmd .IP .YODLTAGEND. 
.YODLTAGSTART. roffcmd .IP o .YODLTAGEND. 
 \fBmanpageseealso\fP(): this section lists related manual pages\&..YODLTAGSTART. roffcmd .IP .YODLTAGEND. 
.YODLTAGSTART. roffcmd .IP o .YODLTAGEND. 
 \fBmanpagediagnostics\fP(): Error conditions, error messages, etc\&.\&..YODLTAGSTART. roffcmd .IP .YODLTAGEND. 
.YODLTAGSTART. roffcmd .IP o .YODLTAGEND. 
 \fBmanpagebugs\fP(): This is where known bugs are described\&. This 
        section is optional\&..YODLTAGSTART. roffcmd .IP .YODLTAGEND. 
.YODLTAGSTART. roffcmd .IP o .YODLTAGEND. 
 \fBmanpageauthor\fP(): stating the author and/or the maintainer\&..YODLTAGSTART. roffcmd .IP .YODLTAGEND. 
.YODLTAGSTART. roffcmd .IP o .YODLTAGEND. 
 \fBmanpagesection\fP(\fINAME\fP): This macro starts a generic, 
        non-required section\&. E\&.g\&., you might want a 
        \fBmanpagesection\fP\fB(EXAMPLES)\fP in your document\&. As a typographic 
        suggestion, use upper case for the \fBNAME\fP argument for consistency 
        reasons\&. .YODLTAGSTART. roffcmd .IP .YODLTAGEND. 
.YODLTAGSTART. roffcmd .PP .YODLTAGEND. 
